javax.swing.event

## Interface PopupMenuListener

- All Superinterfaces:
    EventListener

      public interface PopupMenuListener
      extends EventListener

  A popup menu listener

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `popupMenuCanceled(PopupMenuEvent e)` This method is called when the popup menu is canceled
    `void` | `popupMenuWillBecomeInvisible(PopupMenuEvent e)` This method is called before the popup menu becomes invisible Note that a JPopupMenu can become invisible any time
    `void` | `popupMenuWillBecomeVisible(PopupMenuEvent e)` This method is called before the popup menu becomes visible

- - ### Method Detail

    - #### popupMenuWillBecomeVisible

          void popupMenuWillBecomeVisible(PopupMenuEvent e)

      This method is called before the popup menu becomes visible

    - #### popupMenuWillBecomeInvisible

          void popupMenuWillBecomeInvisible(PopupMenuEvent e)

      This method is called before the popup menu becomes invisible Note that a JPopupMenu can become invisible any time

    - #### popupMenuCanceled

          void popupMenuCanceled(PopupMenuEvent e)

      This method is called when the popup menu is canceled

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.